#define ZACIATOK07 56.0
#define KONIEC07   75.0
#define CFGNAME07 "data\\cfg\\vlaciky.cfg"

#define VL1  56.0
#define VL2  64.0
#define VL3  70.6
#define VL4  75.0

#define loco_len 43.0
#define wago_len 32.5
#define wagon_spacing 10.0


class efekt_07 : public EFEKT
{
public:
   int  go(double t);
   int  init();
   int  load();
   int  free();
   int  update();
   void DrawTrain(double placement, int numwagons);


  // -> premenne efektu

   double mytime;
   
   Scene3DS* wagons;
   Object3DS *locomotive, *wagon;
   Scene3DS scene;
   Material3DS* mat1, mat2;
   
   GLmatrix turn_matrix;
   GLmatrix anim1,anim2;
   GLmatrix anim3,anim4;
   float   cntr1,cntr2;  
   float   cntr3,cntr4;
   int vlak;

   double mycounter;
   double animcounter;

   char raytrace[30];
   char vagony[30];
  
   float near_clipplane;
   float far_clipplane;
   float h,v;
   double mytime2;
  // <- 
 
};
